GLM_EXT_vector_int1_sized
Stable extensions

## Typedefs

typedef vec< 1, int16, defaultp > | i16vec1
| 16 bit signed integer vector of 1 component type. More...
typedef vec< 1, int32, defaultp > | i32vec1
| 32 bit signed integer vector of 1 component type. More...
typedef vec< 1, int64, defaultp > | i64vec1
| 64 bit signed integer vector of 1 component type. More...
typedef vec< 1, int8, defaultp > | i8vec1
| 8 bit signed integer vector of 1 component type. More...

## Detailed Description

Exposes sized signed integer vector types.

Include <glm/ext/vector_int1_sized.hpp> to use the features of this extension.

See also
  GLM_EXT_scalar_int_sized
  GLM_EXT_vector_uint1_sized

## Typedef Documentation

## i16vec1

typedef vec< 1, i16, defaultp > i16vec1

16 bit signed integer vector of 1 component type.

See also
  GLM_EXT_vector_int1_sized

Definition at line 36 of file vector_int1_sized.hpp.

## i32vec1

typedef vec< 1, i32, defaultp > i32vec1

32 bit signed integer vector of 1 component type.

See also
  GLM_EXT_vector_int1_sized

Definition at line 41 of file vector_int1_sized.hpp.

## i64vec1

typedef vec< 1, i64, defaultp > i64vec1

64 bit signed integer vector of 1 component type.

See also
  GLM_EXT_vector_int1_sized

Definition at line 46 of file vector_int1_sized.hpp.

## i8vec1

typedef vec< 1, i8, defaultp > i8vec1

8 bit signed integer vector of 1 component type.

See also
  GLM_EXT_vector_int1_sized

Definition at line 31 of file vector_int1_sized.hpp.